org.apache.cayenne.event

## Class NoopEventBridge

- java.lang.Object
- - org.apache.cayenne.event.EventBridge
  - - org.apache.cayenne.event.NoopEventBridge

- All Implemented Interfaces:
    EventListener

      public class NoopEventBridge
      extends EventBridge

  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.event.EventBridge

      `eventManager, externalEventSource, externalSubject, localSubjects, mode, RECEIVE_EXTERNAL, RECEIVE_LOCAL, RECEIVE_LOCAL_EXTERNAL`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `sendExternalEvent(CayenneEvent localEvent)` Sends a Cayenne event over the transport supported by this bridge.
    `protected void` | `shutdownExternal()` Shuts down the external interface of the EventBridge, cleaning up and releasing any resources used to communicate external events.
    `protected void` | `startupExternal()` Starts an external interface of the EventBridge.

    - ### Methods inherited from class org.apache.cayenne.event.EventBridge

      `convertToExternalSubject, getEventManager, getExternalEventSource, getExternalSubject, getLocalSubjects, isRunning, onExternalEvent, receivesExternalEvents, receivesLocalEvents, shutdown, startup, startup, startup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### startupExternal

          protected void startupExternal()
                                  throws Exception

      Description copied from class: `EventBridge`
      Starts an external interface of the EventBridge.
      Specified by:
        `startupExternal` in class `EventBridge`
      Throws:
        `Exception`

    - #### shutdownExternal

          protected void shutdownExternal()
                                   throws Exception

      Description copied from class: `EventBridge`
      Shuts down the external interface of the EventBridge, cleaning up and releasing any resources used to communicate external events.
      Specified by:
        `shutdownExternal` in class `EventBridge`
      Throws:
        `Exception`

    - #### sendExternalEvent

          protected void sendExternalEvent(CayenneEvent localEvent)
                                    throws Exception

      Description copied from class: `EventBridge`
      Sends a Cayenne event over the transport supported by this bridge.
      Specified by:
        `sendExternalEvent` in class `EventBridge`
      Throws:
        `Exception`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.